/* Includes ------------------------------------------------------------------*/
#include <stm32f0xx.h>
#include <stdint.h>
#include "stm32f0xx_conf.h"
#include "stm32f0_discovery.h"
#include <stdio.h>

/* Private function prototypes -----------------------------------------------*/
void init_Clocks(void);
void init_GPIO(void);
int checkPortA(int32_t bit);
void setPortC(int32_t bit);
void resetPortC(int32_t bit);

int main(void)
{
	init_Clocks();
	init_GPIO();
	while(1) {
		if (checkPortA(0)) {  //if user's button pushed
			setPortC(8); //Turn GPIOC Pin 8 On
			resetPortC(9); //Turn GPIOC Pin 9 Off
		} else {
			resetPortC(8); //Turn GPIOC Pin 8 Off
			setPortC(9); //Turn GPIOC Pin 9 On
		}
	}
}

void init_Clocks(void)
{
	RCC ->AHBENR |= (1<<17);   //Enable CLK for Port A
	RCC ->AHBENR |= (1<<19);   //Enable CLK for Port C
}

void init_GPIO(void)
{
	GPIOA -> MODER &= ~3;      //Enable Port A Pin0 as a digital input
	GPIOC -> MODER &= ~(3<<16);
	GPIOC -> MODER |= (1<<16); //Enable Port C Pin8 as a digital output
	GPIOC -> MODER &= ~(3<<18);
	GPIOC -> MODER |= (1<<18); //Enable Port C Pin9 as a digital output
}

//PortA̎w肵rbgC̃rbĝݕԂB
int checkPortA(int32_t bit)
{
	return ((GPIOA ->IDR)&(1<<bit));
}

//PortC̎w肵rbg1ɂ
void setPortC(int32_t bit)
{
	GPIOC ->ODR |= (1<<bit);
}

//PortC̎w肵rbg0ɂ
void resetPortC(int32_t bit)
{
	GPIOC ->ODR &= ~(1<<bit);
}
